#ifndef EAEPAPER_H
#define EAEPAPER_H

/**
 * Includes
 */
#include "mbed.h"
#include "EPD.h"


class EaEpaper {

public:

    /**
     * Constructor.
     */
    EaEpaper();
    
    /**
     * Clear the display
     */    
    void clear();
    
    /**
     * Write image buffer to display
     *
     * @param buffer with display data that will be written to the display. The 
     *        entire display will be updated which means that the size of the 
     *        buffer must be pixel width x pixel height/8. For the 2.7 inch 
     *        display this means 264 x 176 / 8 = 5808 bytes
     */    
    void write(const uint8_t *image);
 
 private:
    EPD_Class epd_;
    I2C i2c_;
    
    int32_t readTemperature();
    
};
 
 #endif /* EAEPAPER_H */